tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: make update perpetually broken

At 6:24 Uhr +0000 15.5.2009, John Klos wrote:
>I think I've run into the "make update" problem one too many times, so I
>have to ask - if nobody's going to fix our broken "make update" system,
>why don't we have pkg_rolling_replace as part of the default pkgsrc tools?

Because it comes with its own set of problems, see the thread
"pkg_rolling-replace calling 'make install'?" on
<>, which can lead
to the same symptoms as

>===> install-message [p5-Email-MessageID-1.401] ===> Installing for
>ERROR: p5-Email-MessageID-1.401 is already installed - perhaps an older
>ERROR: If so, you may use either of:
>ERROR:     - "pkg_delete p5-Email-MessageID-1.401" and "/usr/bin/make
>ERROR:       to upgrade properly

and require a similar amount of hand-holding.


"It's never straight up and down"     (DEVO)

Home | Main Index | Thread Index | Old Index